Description

Cuando se exporta a postgreSQL al crear la tabla genera el campo ara almacenar la geometria de tipo GEOMETRY en lugar del tipo
que declara la capa que queremos exportar.

Al parecer esto se debe a un problema con los shapes que cuando anuncian poligo o linea admite tanto poligos como multipoligonos
y lo mismo con las lineas. Si declaramos la table de postgreSQL como poligono y el shape tiene algun multipoligono peta, y si la

declaramos como multipoligono y hay algun poligono tambien.

Se ha optado por declararla la tabla de postgreSQL de lo que anuncia la tabla origen que es, que en el caso del shape es multi para
lineas y poligonos.

El proveedor de postgreSQL si detecta que su geometrias es multi y intentas insertar una geometria simple la transforma en muilti.

Related issues:
Duplicates Application: gvSIG desktop - gvSIG bugs # 2589: No genera correcta... Closed 06/23/2014

History

#1 - 06/26/2014 10:03 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#2 - 06/27/2014 09:49 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2230-testing

#3 - 06/27/2014 01:34 PM - Joaquin del Cerro Murciano
- Duplicates gvSIG bugs #2589: No genera correctamente las tablas al exportar a postgresql. added

#4 - 07/02/2014 04:38 AM - Alvaro Anguix

- Status changed from Fixed to Closed
